Package com.massivecraft.factions.integration.dynmap

## Class DynmapStyle

- java.lang.Object
- - com.massivecraft.factions.integration.dynmap.DynmapStyle

    public class DynmapStyle
    extends java.lang.Object

### Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`java.lang.Boolean` | `boost` |
`java.lang.String` | `fillColor` |
`java.lang.Double` | `fillOpacity` |
`java.lang.String` | `homeMarker` |
`java.lang.String` | `lineColor` |
`java.lang.Double` | `lineOpacity` |
`java.lang.Integer` | `lineWeight` |

### Constructor Summary

Constructors
Constructor | Description
--- | ---
`DynmapStyle()` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static <T> T` | `coalesce​(T... items)` |
`boolean` | `getBoost()` |
`static int` | `getColor​(java.lang.String string)` |
`int` | `getFillColor()` |
`double` | `getFillOpacity()` |
`java.lang.String` | `getHomeMarker()` |
`int` | `getLineColor()` |
`double` | `getLineOpacity()` |
`int` | `getLineWeight()` |
`DynmapStyle` | `setBoost​(java.lang.Boolean boost)` |
`DynmapStyle` | `setFillColor​(java.lang.String fillColor)` |
`DynmapStyle` | `setFillOpacity​(java.lang.Double fillOpacity)` |
`DynmapStyle` | `setHomeMarker​(java.lang.String homeMarker)` |
`DynmapStyle` | `setLineOpacity​(java.lang.Double strokeOpacity)` |
`DynmapStyle` | `setLineWeight​(java.lang.Integer strokeWeight)` |
`DynmapStyle` | `setStrokeColor​(java.lang.String strokeColor)` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### lineColor

    public java.lang.String lineColor

#### lineOpacity

    public java.lang.Double lineOpacity

#### lineWeight

    public java.lang.Integer lineWeight

#### fillColor

    public java.lang.String fillColor

#### fillOpacity

    public java.lang.Double fillOpacity

#### homeMarker

    public java.lang.String homeMarker

#### boost

    public java.lang.Boolean boost

### Constructor Detail

#### DynmapStyle

    public DynmapStyle()

### Method Detail

#### coalesce

    @SafeVarargs
    public static <T> T coalesce​(T... items)

#### getColor

    public static int getColor​(java.lang.String string)

#### getLineColor

    public int getLineColor()

#### setStrokeColor

    public DynmapStyle setStrokeColor​(java.lang.String strokeColor)

#### getLineOpacity

    public double getLineOpacity()

#### setLineOpacity

    public DynmapStyle setLineOpacity​(java.lang.Double strokeOpacity)

#### getLineWeight

    public int getLineWeight()

#### setLineWeight

    public DynmapStyle setLineWeight​(java.lang.Integer strokeWeight)

#### getFillColor

    public int getFillColor()

#### setFillColor

    public DynmapStyle setFillColor​(java.lang.String fillColor)

#### getFillOpacity

    public double getFillOpacity()

#### setFillOpacity

    public DynmapStyle setFillOpacity​(java.lang.Double fillOpacity)

#### getHomeMarker

    public java.lang.String getHomeMarker()

#### setHomeMarker

    public DynmapStyle setHomeMarker​(java.lang.String homeMarker)

#### getBoost

    public boolean getBoost()

#### setBoost

    public DynmapStyle setBoost​(java.lang.Boolean boost)